petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMNetworkRegisterComponent

Registers the network component

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkRegisterComponent(DM dm,const char *name,PetscInt size,PetscInt *key)

Logically collective on DM

Input Parameters

| dm | - the network object
| name | - the component name
| size | - the storage size in bytes for this component data

Output Parameters

key -an integer key that defines the component

Notes This routine should be called by all processors before calling DMNetworkLayoutSetup().

### See Also

DMNetworkLayoutSetUp, DMNetworkCreate

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages